---
updatedAt: 2025-09-18T21:52:08.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# net_version

Returns the current network id.

> 📘 Supported on Arbitrum Nova only.

## Parameters

* `none`

## Returns

* `result` - String value of current network id. Typical values are as follows:
  * `1 - ethereum mainnet
    2 - morden testnet (deprecated)
    3 - ropsten testnet
    4 - rinkeby testnet
    5 - goerli testnet
    10 - optimism mainnet
    69 - optimism kovan testnet
    42 - kovan testnet
    137 - matic/polygon mainnet
    80001 - matic/polygon mumbai testnet
    250 - fantom mainnet
    100 - xdai mainnet
    56 - bsc mainnet`

## API Endpoint

The format of an Arbitrum Nova API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/arbitrum/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/arbitrum/`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/arbitrum/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'
```

**Result**

```
{
    "jsonrpc": "2.0",
    "id": 67,
    "result": "42170"
}
```